require "pettanr_unknown_v01_licenses/engine"

module PettanrUnknownV01Licenses
  module LicenseModule
    def supply_default 
      super
      self.license_group_module_name = self.license_group.module_name 
    end
    
    def license_extend
      self.new_license unless @license_extend
      @license_extend
    end
    
    def license_extend= params
      # load attributes
      @license_extend = PettanrUnknownV01Licenses::License.new params
      # no supply default params
    end
    
    def new_license params = {} 
      @license_extend = PettanrUnknownV01Licenses::License.new params
      @license_extend.supply_default
    end
    
  end
  
  module CreditPictureModule
    def supply_default 
      super
    end
    
    def credit_picture_extend
      self.new_credit_picture unless @credit_picture_extend
      @credit_picture_extend
    end
    
    def credit_picture_extend= params
      # load attributes
      @credit_picture_extend = PettanrUnknownV01Licenses::CreditPicture.new params
      # no supply default params
    end
    
    def new_credit_picture params = {} 
      @credit_picture_extend = PettanrUnknownV01Licenses::CreditPicture.new params
      @credit_picture_extend.supply_default
    end
    
  end
  
  module AttributeModule
    def supply_default 
      super
    end
    
    def attribute_extend
      @attribute_extend
    end
    
    def attribute_extend= params
      # load attributes
      @attribute_extend = PettanrUnknownV01Licenses.new_attribute params
      # no supply default params
    end
    
  end
  
  module ModuleMethods
    def new_attribute params = {}
      PettanrUnknownV01Licenses::Attribute.new params
    end
    
  end

  extend ModuleMethods
end
